View Single Post
  #1  
Old 30 Mar 2020, 13:27
Skyrider Skyrider is offline
 
Join Date: Feb 2006
PHP 7.1 "[] operator not supported for strings on line" errors.

Okay, so. I've noticed that on PHP 7.1, I'm getting a lot of errors as of lately. If this is the wrong section to post this, please move it. Recently I noticed when using PHP 7.1, I'm getting:

[] operator not supported for strings on line 7 in /includes/class_bootstrap.php(433) : eval()'d code
#0 sourceop/includes/class_bootstrap.php(433): eval()
#1 sourceop/includes/class_core.php(4391): vB_Bootstrap->process_templates()
#2 sourceop/includes/class_core.php(4349): vB_Template->__construct('memberaction_dr...')
#3 sourceop/includes/functions.php(3275): vB_Template::create('memberaction_dr...')
#4 sourceop/includes/functions_forumlist.php(314): construct_memberaction_dropdown(Array)
#5 sourceop/includes/functions_forumlist.php(230): construct_forum_bit('4', 2, 0)
#6 sourceop/forum.php(611): construct_forum_bit(-1)
#7 {main}

Fatal User Error: [] operator not supported for strings on line 7 in ..../includes/class_bootstrap.php(433) : eval()'d code in ..../vb/vb.php on line 286
When I disable the plug-ins through the config.php file, it works like a charm. So, I know this is plug-in related. But whenever I disable plug-ins one by one, or uninstall them all. Oddly enough, the error is the same.

I know vB4 supports up to PHP 7.1, but that doesn't mean the plugins will as well. But the only thing I noticed when removing/disabling the plug-ins on my test board is that the "on line" number changes.

Any advice is appreciated.

Regards,
Skyrider
Reply With Quote